Bug 807203 - Entries in fstab do not get mounted in a read-only-root setup. [NEEDINFO]
Entries in fstab do not get mounted in a read-only-root setup.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 807278
  Show dependency treegraph
 
Reported: 2012-03-27 05:44 EDT by Fabian Deutsch
Modified: 2013-02-28 08:30 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 08:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
harald: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-03-27 05:44:05 EDT
Description of problem:
If /etc/fstab is a persisted file in a readonly root setup (e.g. ovirt-node), just  the entries present in the original ro-image are mounted at boot time.
Additional entries just present in the persisted file are not mounted at boot, even if they are declared auto.

Version-Release number of selected component (if applicable):
current

How reproducible:
Always

Steps to Reproduce:
1. Get ovirt-node 2.3.0 and boot
2. login, press F2 to enter the shell
3. look at mount
  
Actual results:
e.g. the /dev/HostVG/Data is not mounted
(Config is mounted, because it's done manually)

Expected results:
/dev/HostVG/Data get's mounted

Additional info:
use umount /etc/fstab to view the original fstab of the ro-image.
Comment 1 Lennart Poettering 2012-09-14 10:40:19 EDT
I don't understand this?

If you update fstab you need to invoke "systemctl daemon-reload". Are you updating fstab half-way during the boot?
Comment 2 Fabian Deutsch 2012-09-17 03:09:12 EDT
(In reply to comment #1)
> I don't understand this?
> 
> If you update fstab you need to invoke "systemctl daemon-reload".

Thanks for this hint.

> Are you
> updating fstab half-way during the boot?

Yes, there is an ovirt-early service which is bind mounting /etc/fstab at boot time.
Comment 3 Lennart Poettering 2012-09-17 12:57:03 EDT
(In reply to comment #2)

> Yes, there is an ovirt-early service which is bind mounting /etc/fstab at
> boot time.

Hmm, what precisely is that bind mount good for? I'd prefer if we could fine a different solution for this.
Comment 4 Fabian Deutsch 2012-09-17 14:00:48 EDT
(In reply to comment #3)
> (In reply to comment #2)
> 
> > Yes, there is an ovirt-early service which is bind mounting /etc/fstab at
> > boot time.
> 
> Hmm, what precisely is that bind mount good for? I'd prefer if we could fine
> a different solution for this.

oVirt Node/RHEV-H is using a read-only root fs, thus a prebuild image which is stored on the host. rwtab is used to mount a couple of dirs rw and finally we are using the bind-mounts to persist a couple of files.
The to be persisted file is located on a writeable Config partition (source) and the bind mount target is the appropriate file (e.g. passwd, fstab, ...) on the ro root fs.

I haven't thought about it in the whole, but maybe reloading systemd - if it honors all previously mounted paths - is the way to go.

Once I've also thought about moving the readonly stuff to dracut, but this leads to even more problems.
Comment 5 Lennart Poettering 2013-01-14 16:23:25 EST
Did "systemctl daemon-reload" work?
Comment 6 Fabian Deutsch 2013-01-15 15:41:27 EST
(In reply to comment #5)
> Did "systemctl daemon-reload" work?

Give me a couple of days. I'll re-test it on the new F18 builds. For now we've added some workarounds.
Comment 7 Fedora End Of Life 2013-01-16 12:42:11 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fabian Deutsch 2013-02-14 09:05:28 EST
(In reply to comment #5)
> Did "systemctl daemon-reload" work?

Yep - that works and mounts the targets correctly.
Comment 9 Harald Hoyer 2013-02-28 08:30:43 EST
(In reply to comment #3)
> (In reply to comment #2)
> 
> > Yes, there is an ovirt-early service which is bind mounting /etc/fstab at
> > boot time.
> 
> Hmm, what precisely is that bind mount good for? I'd prefer if we could fine
> a different solution for this.

Do you still want another solution?
I think this is a classical root device with /etc/fstab and shared /usr problem, which is normally solvable with an initramfs.

Please reopen, if you want to keep this bug as a reminder.

Note You need to log in before you can comment on or make changes to this bug.